function [results] = runAlgorithm(train, test, config)

if(strmatch(config.method, 'MCR', 'exact'))
    results = MCRwrapper(train, test, config);
elseif(strmatch(config.method, 'SVM', 'exact'))
    results = svmperfWrapper(train, test, config);
else
    error('Allowed values for config.method: SVM or MCR!');
end